Loading...
Searching...
No Matches
NotWriteMap< M > Class Template Reference
Data Structures » Maps » Map Adaptors

## Detailed Description

template<typename M>
class lemon::NotWriteMap< M >

This read-write map returns the logical negation of the values of the given map. Its `Key` is inherited from `M` and its `Value` is `bool`. It makes also possible to write the map. When a value is set, the opposite value is set to the original map.

The simplest way of using this map is through the notWriteMap() function.

See also
  NotMap

`#include <lemon/maps.h>`

Inheritance diagram for NotWriteMap< M >:
[legend]

## Public Types

typedef M::Key | Key
typedef bool | Value
Public Types inherited from MapBase< M::Key, bool >
typedef M::Key | Key
| The key type of the map.
typedef bool | Value
| The value type of the map. (The type of objects associated with the keys).

## Public Member Functions

| NotWriteMap (M &m)
| Constructor.
Value | operator[] (const Key &k) const
void | set (const Key &k, bool v)

## Related Symbols

(Note that these are not member symbols.)
template<typename M>
NotWriteMap< M > | notWriteMap (M &m)
| Returns a `NotWriteMap` class.